DC_BUFFER_GET_DATA(3)

NAME
dc_buffer_get_data - get the data of a buffer

LIBRARY
libdivecomputer

SYNOPSIS
#include <libdivecomputer/buffer.h>
unsigned char *
dc_buffer_get_data(dc_buffer_t *buffer);

DESCRIPTION
Get the data used by buffer, previously allocated with dc_buffer_new(3). For the buffer size, use dc_buffer_get_size(3).

The returned pointer is not valid after subsequent calls to change the buffer.

RETURN VALUES
Returns the data or NULL if buffer is NULL or no data has been allocated to the buffer.

SEE ALSO
dc_buffer_get_size(3), dc_buffer_new(3)

AUTHORS
The libdivecomputer library was written by Jef Driesen, jef@libdivecomputer.org. The manpages were written by Kristaps Dzonsons, kristaps@bsd.lv.